<?php
/**
 * The file that defines the widgets class
 *
 * @link       http://wbcomdesigns.com
 * @since      1.0.0
 *
 * @package    Bp_Post_From_Anywhere
 * @subpackage Bp_Post_From_Anywhere/includes
 */

/**
 * The file that defines the widgets class
 *
 * @since      1.0.0
 * @package    Bp_Post_From_Anywhere
 * @subpackage Bp_Post_From_Anywhere/includes
 * @author     Wbcom Designs <admin@wbcomdesigns.com>
 */
class BP_Post_From_Anywhere_Widget extends WP_Widget {

    /**
     * Sets up the widgets name etc
     */
    public function __construct() {
        $widget_options = array(
            'classname' => 'bppfa_widget',
            'description' => __('This is BuddyPress Post From Anywhere shortcode Widget', BPPFA_TEXTDOMAIN ),
        );
        parent::__construct('bppfa_widget', 'BP Post From Anywhere', $widget_options);
    }

    /**
     * Outputs the content of the widget
     *
     * @param array $args
     * @param array $instance
     */
    public function widget($args, $instance) {
        $title = apply_filters('widget_title', $instance['title']);
        echo $args['before_widget'] . $args['before_title'] . $title . $args['after_title'];
        do_shortcode('[bppfa_postform_widgets]');
        echo $args['after_widget'];
    }

    /**
     * Outputs the options form on admin
     *
     * @param array $instance The widget options
     */
    public function form($instance) {
        $title = !empty($instance['title']) ? $instance['title'] : '';
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php __('Title:', BPPFA_TEXTDOMAIN ); ?></label>
            <input type="text" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo esc_attr($title); ?>" />
        </p><?php
    }

    /**
     * Processing widget options on save
     *
     * @param array $new_instance The new options
     * @param array $old_instance The previous options
     */
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

}
