<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) )
    exit;
/**
 * BuddyPress - Activity Post Form
 *
 * @package BuddyPress
 * @subpackage bp-legacy
 */
?>

<form action="<?php bp_activity_post_form_action(); ?>" method="post" id="wbppfa-whats-new-form" name="whats-new-form">

    <?php
    /**
     * Fires before the activity post form.
     *
     * @since 1.2.0
     */
    do_action('bp_before_activity_post_form');
    ?>

    <div id="bppfa-whats-new-avatar">
        <a href="<?php echo bp_loggedin_user_domain(); ?>">
            <?php bp_loggedin_user_avatar('width=' . bp_core_avatar_thumb_width() . '&height=' . bp_core_avatar_thumb_height()); ?>
        </a>
    </div>

    <p class="activity-greeting"><?php
        if (bp_is_group())
            printf(__("What's new in %s, %s?", BPPFA_TEXTDOMAIN ), bp_get_group_name(), bp_get_user_firstname(bp_get_loggedin_user_fullname()));
        else
            printf(__("What's new, %s?", BPPFA_TEXTDOMAIN ), bp_get_user_firstname(bp_get_loggedin_user_fullname()));
        ?></p>

    <div id="wbppfa-whats-new-content">
        <div id="whats-new-textarea">
            <label for="whats-new" class="bp-screen-reader-text"><?php
                /* translators: accessibility text */
                _e('Post what\'s new', BPPFA_TEXTDOMAIN );
                ?></label>
            <textarea class="bp-suggestions" name="whats-new" id="wbppfa-whats-new" cols="50" rows="10"
                      <?php if (bp_is_group()) : ?>data-suggestions-group-id="<?php echo esc_attr((int) bp_get_current_group_id()); ?>" <?php endif; ?>
                      ><?php if (isset($_GET['r'])) : ?>@<?php echo esc_textarea($_GET['r']); ?> <?php endif; ?></textarea>
        </div>

        <div id="wbppfa-whats-new-options">


            <?php if (bp_is_active('groups')) : ?>

                <div id="bppfa-whats-new-post-in-box">
                    <label for="bppfa-whats-new-post-in" class="bp-screen-reader-text"><?php
                        /* translators: accessibility text */
                        _e('Post in', BPPFA_TEXTDOMAIN );
                        ?></label>
                    <select id="bppfa-whats-new-post-in" name="whats-new-post-in">
                        <option selected="selected" value="0"><?php _e('My Profile', BPPFA_TEXTDOMAIN ); ?></option>

                        <?php
                        if (bp_has_groups('user_id=' . bp_loggedin_user_id() . '&type=alphabetical&max=100&per_page=100&populate_extras=0&update_meta_cache=0')) :
                            while (bp_groups()) : bp_the_group();
                                ?>

                                <option value="<?php bp_group_id(); ?>"><?php bp_group_name(); ?></option>

                                <?php
                            endwhile;
                        endif;
                        ?>

                    </select>
                </div>
                <input type="hidden" id="wbppfa-whats-new-post-object" name="whats-new-post-object" value="groups" />

            <?php elseif (bp_is_group_activity()) : ?>

                <input type="hidden" id="wbppfa-whats-new-post-object" name="whats-new-post-object" value="groups" />
                <input type="hidden" id="bppfa-whats-new-post-in" name="whats-new-post-in" value="<?php bp_group_id(); ?>" />

            <?php endif; ?>

            <?php
            /**
             * Fires at the end of the activity post form markup.
             *
             * @since 1.2.0
             */
            do_action('bp_activity_post_form_options');
            ?>
            <div id="bppfa-whats-new-submit">
                <input type="submit" name="aw-whats-new-submit" id="wbppfa-aw-whats-new-submit" value="<?php esc_attr_e('Post Update', BPPFA_TEXTDOMAIN ); ?>" />
                <div class="wbppfa-spinner"></div>
            </div>
        </div><!-- #whats-new-options -->
    </div><!-- #whats-new-content -->
    <?php wp_nonce_field('post_update', '_wpnonce_post_update'); ?>
</form><!-- #whats-new-form -->
